#if !defined(AFX_BITMAPPAGE_H__90F55885_CAB5_40A2_851B_D05A3D57877D__INCLUDED_)
#define AFX_BITMAPPAGE_H__90F55885_CAB5_40A2_851B_D05A3D57877D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BitmapPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBitmapPage dialog

class CBitmapPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CBitmapPage)

// Construction
public:
	CBitmapPage();
	~CBitmapPage();

// Dialog Data
	//{{AFX_DATA(CBitmapPage)
	enum { IDD = IDD_BITMAPPAGE };
	CStatic	m_TempSnapshotPanel;
	BOOL	m_BitmapTo3D_SkipDlg;
	BOOL	m_BitmapTo3D_AddFaces;
	BOOL	m_BitmapTo3D_Decode0;
	BOOL	m_BitmapTo3D_Extrude;
	BOOL	m_BitmapTo3D_SaveOutlines;
	CString	m_BitmapToDem_MinHeight;
	CString	m_BitmapToDem_Multiplier1;
	CString	m_BitmapToDem_Multiplier2;
	BOOL	m_BitmapToDem_SeaLevel;
	BOOL	m_BitmapToDem_SkipDlg;
	CString	m_BitmapToDem_Spacing;
	CString	m_BitmapTo3D_ExtrudeHeight;
	BOOL	m_BitmapTo3D_JoinOutlines;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CBitmapPage)
	public:
	virtual BOOL OnKillActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CBitmapPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnBitmapto3dSkipdlg();
	afx_msg void OnBitmapto3dDecode0();
	afx_msg void OnBitmapto3dSaveoutlines();
	afx_msg void OnBitmapto3dAddfaces();
	afx_msg void OnBitmapto3dExtrude();
	afx_msg void OnBitmaptodemSkipdlg();
	afx_msg void OnBitmaptodemSealevel();
	afx_msg void OnGetoglsnapshot();	
	afx_msg void OnBitmapto3dJoinoutlines();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void Get_BitmapTo3D_Data();
	void Get_BitmapToLandscape_Data();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BITMAPPAGE_H__90F55885_CAB5_40A2_851B_D05A3D57877D__INCLUDED_)
